org.fourthline.cling.model

## Class NetworkAddress

- java.lang.Object
- - org.fourthline.cling.model.NetworkAddress

-     public class NetworkAddress
      extends Object

  IP address, port, and optional interface hardware address (MAC) of a network service.
  Author:
    Christian Bauer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected InetAddress` | `address`
    `protected byte[]` | `hardwareAddress`
    `protected int` | `port`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetworkAddress(InetAddress address, int port)`
    `NetworkAddress(InetAddress address, int port, byte[] hardwareAddress)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `InetAddress` | `getAddress()`
    `byte[]` | `getHardwareAddress()`
    `int` | `getPort()`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### address

          protected InetAddress address

    - #### port

          protected int port

    - #### hardwareAddress

          protected byte[] hardwareAddress

  - ### Constructor Detail

    - #### NetworkAddress

          public NetworkAddress(InetAddress address,
                                int port)

    - #### NetworkAddress

          public NetworkAddress(InetAddress address,
                                int port,
                                byte[] hardwareAddress)

  - ### Method Detail

    - #### getAddress

          public InetAddress getAddress()

    - #### getPort

          public int getPort()

    - #### getHardwareAddress

          public byte[] getHardwareAddress()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.